<template>
    <div>
        <div class="box">
            <input type="number" v-model="value" @input="clearErrorMsg" max="5000" min="10" />
            <span style="color: red; margin-left: 20px;">{{ errorMsg }}</span>
        </div>

        <vue-slider v-model="value" :min="min" :max="max" :tooltip="errorMsg ? 'none' : 'none'" :marks="marks" @error="error" @change="clearErrorMsg" :step="10">
            <template v-slot:step="{ label, active }">
                <div :class="['custom-step', { active }]"></div>
            </template>
        </vue-slider>
  </div>
</template>

<script>
import VueSlider from 'vue-slider-component';
import 'vue-slider-component/theme/antd.css' // не совсем помню куда точно совать стили, но вроде работает

const ERROR_TYPE = {
    VALUE: 10,
    INTERVAL: 10,
    MIN: 10,
    MAX: 5000,
    ORDER: 10
};

export default {
    components: {
        VueSlider
    },
    name: "slider",
    data: function () {
        return {
            value: 10,
            min: 10,
            max: 5000,
            errorMsg: "",
            marks: {
                10: "10K",
                500: "500K",
                1000: "1M",
                1500: "1.5M",
                2000: "2M",
                2500: "2.5M",
                3000: "3M",
                3500: "3.5M",
                4000: "4M",
                4500: "4.5M",
                5000: "5M"
            }
        };
    },
    methods: {
        error(type, msg) {
            switch (type) {
                case ERROR_TYPE.MIN:
                    break;
                case ERROR_TYPE.MAX:
                    break;
                case ERROR_TYPE.VALUE:
                    break;
            }
            this.errorMsg = msg;
        },
        clearErrorMsg() {
            this.errorMsg = "";
        }
    }
}
</script>
